ATA_SCSI_SIMULATE(9)

NAME
ata_scsi_simulate - simulate SCSI command on ATA device

SYNOPSIS

void ata_scsi_simulate (struct ata_port * ap, struct ata_device * dev, struct scsi_cmnd * cmd, void (*done) <funcparams>struct scsi_cmnd *</funcparams>);

ARGUMENTS

ap  -- undescribed --

dev -- undescribed --

cmd SCSI command being sent to device.

done
    SCSI command completion function.

DESCRIPTION

Interprets and directly executes a select list of SCSI commands that can be handled internally.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.